Menu

## SceneTemplate
in package
Uses UserAssignable

SceneTemplate.php : 22

Class SceneTemplates.

##### Tags

Entity
Table

  ("scene_templates")

### Table of Contents

$class : string
$module : string
$userAssignable : bool
$owningScenes : Collection
$owningViewpoints : Collection
__construct() : mixed
  SceneTemplates constructor.
getClass() : string
getModule() : string
getOwningScenes() : Collection
getOwningViewpoints() : Collection
isUserAssignable() : bool
setUserAssignable() : mixed
  Changes whether the template should be able to get manually assigned to a template or not.

### Properties

#### $class

SceneTemplate.php : 27
`protected string $class`

##### Tags

Id

  @Column(type="string", length=255, unique=True, name="class")

#### $module

SceneTemplate.php : 30
`protected string $module`

##### Tags

Column

  (type="string", length=255, name="module")

#### $userAssignable

UserAssignable.php : 11
`protected bool $userAssignable = true`

##### Tags

Column

  (type="boolean", options={"default"=true})

#### $owningScenes

SceneTemplate.php : 36
`private Collection $owningScenes`

##### Tags

OneToMany

  (targetEntity="Scene", mappedBy="template")

#### $owningViewpoints

SceneTemplate.php : 42
`private Collection $owningViewpoints`

##### Tags

OneToMany

  (targetEntity="Viewpoint", mappedBy="template", fetch="EXTRA_LAZY")

### Methods

#### __construct()

SceneTemplate.php : 52

SceneTemplates constructor.

`public __construct(string $class, string $module[, bool $userAssignable = true ]) : mixed`

##### Parameters

$class : string

  FQCN of the scene handling class.

$module : string

  Module from where the class is from.

$userAssignable : bool = true

  Set to false to flag the scene as not-assignable for the user.

##### Tags

throws
  ArgumentException
throws
  ClassNotFoundException

##### Return values

mixed —

#### getClass()

SceneTemplate.php : 68
`public getClass() : string`

##### Return values

string —

The class name of the template.

#### getModule()

SceneTemplate.php : 76
`public getModule() : string`

##### Return values

string —

#### getOwningScenes()

SceneTemplate.php : 101
`public getOwningScenes() : Collection`

##### Return values

Collection —

#### getOwningViewpoints()

SceneTemplate.php : 109
`public getOwningViewpoints() : Collection`

##### Return values

Collection —

#### isUserAssignable()

SceneTemplate.php : 93
`public isUserAssignable() : bool`

##### Return values

bool —

#### setUserAssignable()

SceneTemplate.php : 85

Changes whether the template should be able to get manually assigned to a template or not.

`public setUserAssignable([bool $flag = true ]) : mixed`

##### Parameters

$flag : bool = true

##### Return values

mixed —

## Search results